net.sourceforge.pmd.util.log

## Class PmdLogFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - net.sourceforge.pmd.util.log.PmdLogFormatter

    public class PmdLogFormatter
    extends Formatter

### Constructor Summary

Constructors
Constructor and Description
`PmdLogFormatter()`

### Method Summary

Methods
`String` `format(LogRecord record)`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PmdLogFormatter

    public PmdLogFormatter()

### Method Detail

#### format

    public String format(LogRecord record)

Specified by:
  `format` in class `Formatter`